Subject: [MORG] [Technical Errata Reported] RFC6154 (5581)

From: RFC Errata System <[email-masked]>
Date: Fri, 21 Dec 2018 08:00:18 -0800 (PST)

The following errata report has been submitted for RFC6154,
"IMAP LIST Extension for Special-Use Mailboxes".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5581

--------------------------------------
Type: Technical
Reported by: Not clear whether SPECIAL-USE implies LIST-EXTENDED <[email-masked]>

Section: 5.2

Original Text
-------------

     C: t1 CAPABILITY
     S: * CAPABILITY IMAP4rev1 SPECIAL-USE
     S: t1 OK done

Corrected Text
--------------

     C: t1 CAPABILITY
     S: * CAPABILITY IMAP4rev1 SPECIAL-USE LIST-EXTENDED
     S: t1 OK done

Notes
-----
Is it okay for a server to support SPECIAL-USE without supporting LIST-EXTENDED? The example seems to imply this, but it's not clear from the RFC text. Section 2 starts with: "For the extended list command [RFC5258]", but doesn't say the server MUST support LIST-EXTENDED.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6154 (draft-ietf-morg-list-specialuse-06)
--------------------------------------
Title               : IMAP LIST Extension for Special-Use Mailboxes
Publication Date    : March 2011
Author(s)           : B. Leiba, J. Nicolson
Category            : PROPOSED STANDARD
Source              : Message Organization
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Barry Leiba <[email-masked]>
Date: Fri, 21 Dec 2018 11:25:36 -0500

I believe that Section 2 makes it clear that it works both ways: the
first paragraph says how special-use behave with non-extended LIST,
and the second paragraph says what it does with extended LIST.

Errata reporter, when you re-read those two paragraphs do you still
think it's unclear?

Barry

---

From: Barry Leiba <[email-masked]>
Date: Fri, 21 Dec 2018 11:28:06 -0500

Ah, wait, I see.  The example in Section 5.2 says that it's an example
of use of extended LIST, but the server doesn't advertise extended
LIST... that's the problem.  Yes, that's an error in Section 5.2, and
this report should be marked "Verified".

Barry

---

From: Barry Leiba <[email-masked]>
Date: Fri, 21 Dec 2018 11:30:22 -0500

(Sorry for the noise: one further comment.)
When it's marked "Verified", a comment should be added that it *is* OK
to support special-use without extended list, as specified in the
first paragraph of Section 2, but that the example in 5.2 says it's an
example of use with extended list, so the example is wrong.

Thanks,
Barry